[SM-Grimoire-Bugs] [Bug 8657] nvidia_driver spell for X86 and X86_64

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Tue Aug 2 01:18:01 EDT 2005


http://bugs.sourcemage.org/show_bug.cgi?id=8657





------- Additional Comments From dmlb2000 at gmail.com  2005-08-01 22:18 -------
(In reply to comment #15)
> I don't think its a good assumption that all x86_64 users will be using devel
> sorcery. Would bad things happen if an x86_64 user had the x86 drivers installed?

I'm not suggesting that all x86-64 users will use devel sorcery, and the spell
wouldn't compile if it used the x86 drivers.  But technically this is an
unsupported architecture the SMGL_COMPAT_ARCHS var in devel is a big step to
fully supporting other archictures, especially for binary spells, and not just
for x86-64. So I really don't see the problem, those users that use stable or
test sorcery are left in the same boat as they were before, running sourcemage
on an architecture that is techically unsupported by sourcemage.

> You can check if SMGL_COMPAT_ARCHS is set, if it isnt then do something like
> find $ARCH_SPECS -name $ARCHITECTURE|grep -q x86-64 as a temporary fallback.
> Either trust that as a replacement for SMGL_COMPAT_ARCHS (for now), or just bail
> out suggesting the usage of devel sorcery w/ x86_64.

I honestly wouldn't like to do some weird hack like that to try to support this
for test and stable sorcery.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.



More information about the SM-Grimoire-Bugs mailing list